<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>

<orion:script context="/VIRUSCAN8800" src="/VSEDialog.js"/>

<orion:message escape="None" key="AccessProtection.GlobalExclusionsDlgTitle" var="DlgTitleDescriptionText"/>
<orion:message key="AccessProtection.GlobalExclusionsFilenameFull" var="FilenameText"/>
<orion:message key="AccessProtection.GlobalExclusionsDescription" var="DescriptionText"/>
<orion:message key="AccessProtection.GlobalExclusionsMD5" var="MD5Text"/>
<orion:message key="AccessProtection.GlobalExclusionsSigner" var="SignerText"/>
<orion:message escape="None" key="Exclusion.OK" var="OKText"/>
<orion:message escape="None" key="Exclusion.Cancel" var="CancelText"/>
<orion:message escape="None" key="Exclusion.Add" var="AddText"/>
<orion:message escape="None" key="Exclusion.Edit" var="EditText"/>
<orion:message escape="None" key="Exclusion.Remove" var="RemoveText"/>
<orion:message escape="None" key="Exclusion.Clear" var="ClearText"/>
<orion:message key="AccessProtection.GlobalExclusionsInfo" var="GlobalExclusionsInfoText"/>

<style type="text/css">
    .dialogBox{
	background-color: white;
    position: absolute;
    top:300px;
    left:300px;
    z-index: 10000;
    visibility: hidden;
    }
</style>

<!--Dialog for adding/editing user defined items -->
<div class="dialogBox" id="divID_AddEditGlobalExclDialog">
    <orion:titlebar id="titleID_AddEditExclDialogTitle" text="${DlgTitleDescriptionText}"/>
    <table>
        <tr>
            <td width="10"/>
            <td>
                <div id="divID_WhatToExcludeContent">
                    <br>
                    <label><b>${FilenameText}</b></label>
                    <table>
                        <tr>
                            <td width="10"></td>
                            <td>
                                <orion:textbox id="textboxID_globalexclusions_filename"
                                               maxlength="259"
                                               onkeyup="validateGEItem();"/>
                                <span style='display: none;' class='orionInputErrorText' id='GlobalExclusions_filename_error'>!!</span>
                                <span style='display: none;' class='orionInputErrorText' id='GlobalExclusions_filename_empty'>*</span>
                            </td>
                        </tr>
                    </table>
                    <br>
                    <label><b>${DescriptionText}</b></label>
                    <table>
                        <tr>
                            <td width="10"></td>
                            <td>
                                <orion:textbox id="textboxID_globalexclusions_description"
                                               maxlength="259"
                                               onkeyup="validateGEItem();"/>
                                <span style='display: none;' class='orionInputErrorText' id='GlobalExclusions_description_error'>| is not allowed</span>
                            </td>
                        </tr>
                    </table>
                    <br>
                    <label><b>${MD5Text}</b></label>
                    <table>
                        <tr>
                            <td width="10"></td>
                            <td>
                                <orion:textbox id="textboxID_globalexclusions_md5"
                                               maxlength="32"
                                               onkeyup="validateGEItem();"/>
                                <span style='display: none;' class='orionInputErrorText' id='GlobalExclusions_md5_error'>!!</span>
                            </td>
                        </tr>
                    </table>
                    <br>
                    <label><b>${SignerText}</b></label>
                    <table>
                        <tr>
                            <td width="10"></td>
                            <td>
                                <orion:textbox id="textboxID_globalexclusions_signer"
                                               maxlength="32"
                                               onkeyup="validateGEItem();"/>
                                <span style='display: none;' class='orionInputErrorText' id='GlobalExclusions_signer_error'>!!</span>
                            </td>
                        </tr>
                    </table>
                    <span style='display: none;' class='orionInputErrorText' id='GlobalExclusions_missingInfo'>!!Please enter MD5 or Signer info to proceed</span>
                </div>
            </td>
        </tr>
    </table>
    <orion:footerbar skin="gray">
        <orion:button id="buttonID_addEditGlobalExclusionsItemOK" text="${OKText}" enabled="true" onclick="onAddEditGlobalExclusionsOK();"/>
        <orion:button id="buttonID_addEditGlobalExclusionsCancel" text="${CancelText}" enabled="true" onclick="onAddEditGlobalExclusionsCancel();"/>
    </orion:footerbar>
</div>


<!-- List Widget Templates -->
<div id="globalexclusions_listitem_template" width="100%" style="display:none">
    <table width="100%">
        <tr width="100%">
            <td width="30%" id="ap_globalexclusions_filename_@ID">
                <label id="labelID_globalexclusions_filename_@ID" style="display:none"></label>
            </td>
            <td width="30%" id="ap_globalexclusions_description_@ID">
                <label id="labelID_globalexclusions_description_@ID" style="display:none"></label>
            </td>
            <td width="20%" style="text-align:left" id="ap_globalexclusions_md5_@ID">
                <label id="labelID_globalexclusions_md5_@ID" style="display:none"></label>
            </td>
            <td width="20%" style="text-align:left" id="ap_globalexclusions_signer_@ID">
                <label id="labelID_globalexclusions_signer_@ID" style="display:none"></label>
            </td>
        </tr>
    </table>
</div>
<table>
    <tr>
        <td>
            <orion:button id="buttonID_AddGlobalExclusionsItem"
                          text="${AddText}"
                          onclick="AddGEItem_onclick();"
                          style="width:90px"/>
            <orion:button id="buttonID_EditGlobalExclusionsItem"
                          text="${EditText}"
                          onclick="EditGEItem_onclick();"
                          style="width:90px"/>
            <orion:button id="buttonID_RemoveGlobalExclusionsItem"
                          text="${RemoveText}"
                          onclick="RemoveGEItem_onclick();"
                          style="width:90px"/>
            <orion:button id="buttonID_ClearGlobalExclusionsItem"
                          text="${ClearText}"
                          onclick="ClearGEItem_onclick();"
                          style="width:90px"/>
        </td>
    </tr>
</table>

