<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%--<%@ taglib uri="http://www.mcafee.com/mercury" prefix="mercury" %>--%>
<%@ taglib uri="http://www.mcafee.com/vse" prefix="vse" %>

<vse:createConstants className="com.mcafee.VirusScan.policies.alert.AlertConstants" varName="Constants"/>
<vse:importConstants className="com.mcafee.VirusScan.policies.alert.AlertConstants"/>
<vse:importConstants className="com.mcafee.VirusScan.core.Constants"/>
<vse:importConstants className="com.mcafee.VirusScan.help.HelpConstants"/>

<orion:script context="/VIRUSCAN8800" src="/policies/alert/EditAlertPolicy.js"/>
<orion:script context="/VIRUSCAN8800" src="/VSECommon.js"/>
<orion:script context="/core" src="/majic.js"/>

<orion:message key="Global.Toggle.Label" var="ToggleLabelText"/>
<orion:message key="Global.Toggle.Workstation" var="ToggleWorkstationText"/>
<orion:message key="Global.Toggle.Server" var="ToggleServerText"/>

<orion:message key="Alert.AMAlertsLabel" var="AMAlertsLabel"/>
<orion:message key="Alert.AdditionalOptionsLabel" var="AdditionalOptionsLabel"/>

<orion:message escape="None" key="Alert.OAS" var="AlertOASText"/>
<orion:message escape="None" key="Alert.ODS" var="AlertODSText"/>
<orion:message escape="None" key="Alert.EmailScan" var="AlertEmailText"/>
<orion:message escape="None" key="Alert.AutoUpdate" var="AlertAutoUpdateText"/>
<orion:message escape="None" key="Alert.AccessProtection" var="AlertAccessProtectionText"/>
<orion:message escape="None" key="Alert.NetApp" var="AlertNetAppText"/>
<orion:message escape="None" key="Alert.ICAP" var="AlertICAPText"/>
<orion:message escape="None" key="Alert.VMODS" var="AlertVMODSText"/>
<orion:message escape="None" key="Alert.SAP" var="AlertSAPText"/>
<orion:message escape="None" key="Alert.DisableAlerting" var="AlertDisableAlertingText"/>
<orion:message escape="None" key="Alert.EnableCentralAlerting" var="AlertEnableCentralAlertingText"/>
<orion:message escape="None" key="Alert.EnableAMAlerting" var="AlertEnableAMAlertingText"/>
<orion:message key="Alert.SpecifyDestination" var="AlertSpecifyDestination"/>
<orion:message key="Alert.SpecifyCentralDirectory" var="AlertSpecifyCentralDirectoryText"/>
<orion:message key="Alert.SpecifyAMServer" var="AlertSpecifyAMServerText"/>
<orion:message escape="None" key="Alert.DisableADLookup" var="AlertDisableADLookupText"/>

<orion:message key="Alert.NoFilter" var="AlertNoFilterText"/>
<orion:message key="Alert.LessThanOne" var="AlertLessThanOneText"/>
<orion:message key="Alert.LessThanTwo" var="AlertLessThanTwoText"/>
<orion:message key="Alert.LessThanThree" var="AlertLessThanThreeText"/>
<orion:message key="Alert.LessThanFour" var="AlertLessThanFourText"/>
<orion:message key="Alert.FilterAll" var="AlertFilterAllText"/>
<orion:message escape="None" key="Alert.LogToEventLog" var="AlertLogToEventLogText"/>
<orion:message escape="None" key="Alert.SendSNMPTrap" var="AlertSendSNMPTrapText"/>

<!-- Workstation/Server Toggle -->
<orion:box height="40" id="divID_SelectionToggle">
    <div style="background-color:#EDEDED">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                    <label for="selectID_PolicyTypeToggle"><b>${ToggleLabelText}</b></label>
                    <select id="selectID_PolicyTypeToggle" onchange="onPolicyTypeToggle(this.value);">
                        <option value="0">${ToggleWorkstationText}</option>
                        <option value="1">${ToggleServerText}</option>
                    </select>
                </td>
            </tr>
        </table>
    </div>
</orion:box>
<!-- Workstation/Server Toggle -->

<orion:box height="24" id="swaptab"></orion:box>
<orion:box id="ALERT_MANAGER">
<table id="alerts" cellspacing="0" cellpadding="0" width="100%" style="display:none;width:100%;">
    <tr>
        <td class="orionSummaryHeader" valign="top">
            <orion:message key="Alert.ComponentsLabel" escape="html"/>
        </td>
        <td class="orionSummaryColumn" valign="top">
            <orion:checkbox id="checkboxID_AlertSendToAmOAS"
                            text="${AlertOASText}"
                            onClick="fnEnableAlertingUI(); validatePolicy();"
                            name="${ALERT_SEND_TO_AM_OAS}"/>
            <input type="hidden" name="Wrkstn_${ALERT_SEND_TO_AM_OAS}" id="hiddenID_WrkstnAlertSendToAmOAS"/>
            <input type="hidden" name="Server_${ALERT_SEND_TO_AM_OAS}" id="hiddenID_ServerAlertSendToAmOAS"/>
            <br/>
            <orion:checkbox id="checkboxID_AlertSendToAmODS"
                            text="${AlertODSText}"
                            onClick="fnEnableAlertingUI(); validatePolicy();"
                            name="${ALERT_SEND_TO_AM_ODS}"/>
            <input type="hidden" name="Wrkstn_${ALERT_SEND_TO_AM_ODS}" id="hiddenID_WrkstnAlertSendToAmODS"/>
            <input type="hidden" name="Server_${ALERT_SEND_TO_AM_ODS}" id="hiddenID_ServerAlertSendToAmODS"/>
            <br/>
            <orion:checkbox id="checkboxID_AlertSendToAmEmail"
                            text="${AlertEmailText}"
                            onClick="fnEnableAlertingUI(); validatePolicy();"
                            name="${ALERT_SEND_TO_AM_EMAIL}"/>
            <input type="hidden" name="Wrkstn_${ALERT_SEND_TO_AM_EMAIL}" id="hiddenID_WrkstnAlertSendToAmEmail"/>
            <input type="hidden" name="Server_${ALERT_SEND_TO_AM_EMAIL}" id="hiddenID_ServerAlertSendToAmEmail"/>
            <br/>
            <orion:checkbox id="checkboxID_AlertSendToAmUpdate"
                            text="${AlertAutoUpdateText}"
                            onClick="fnEnableAlertingUI(); validatePolicy();"
                            name="${ALERT_SEND_TO_AM_UPDATE}"/>
            <input type="hidden" name="Wrkstn_${ALERT_SEND_TO_AM_UPDATE}" id="hiddenID_WrkstnAlertSendToAmUpdate"/>
            <input type="hidden" name="Server_${ALERT_SEND_TO_AM_UPDATE}" id="hiddenID_ServerAlertSendToAmUpdate"/>
            <br/>
            <orion:checkbox id="checkboxID_AlertSendToAmAP"
                            text="${AlertAccessProtectionText}"
                            onClick="fnEnableAlertingUI(); validatePolicy();"
                            name="${ALERT_SEND_TO_AM_AP}"/>
            <input type="hidden" name="Wrkstn_${ALERT_SEND_TO_AM_AP}" id="hiddenID_WrkstnAlertSendToAmAP"/>
            <input type="hidden" name="Server_${ALERT_SEND_TO_AM_AP}" id="hiddenID_ServerAlertSendToAmAP"/>
            <span id="spanID_AlertNetApp" style="display:none;">
                <br/>
                <orion:checkbox id="checkboxID_AlertSendToAmNetApp"
                                text="${AlertNetAppText}"
                                onClick="fnEnableAlertingUI(); validatePolicy();"
                                name="${ALERT_SEND_TO_AM_NETAPP}"/>
                <input type="hidden" name="Wrkstn_${ALERT_SEND_TO_AM_NETAPP}" id="hiddenID_WrkstnAlertSendToAmNetApp"/>
                <input type="hidden" name="Server_${ALERT_SEND_TO_AM_NETAPP}" id="hiddenID_ServerAlertSendToAmNetApp"/>
            </span>
            <span id="spanID_AlertICAP" style="display:none;">
                <br/>
                <orion:checkbox id="checkboxID_AlertSendToAmICAP"
                                text="${AlertICAPText}"
                                onClick="fnEnableAlertingUI(); validatePolicy();"
                                name="${ALERT_SEND_TO_AM_ICAP}"/>
                <input type="hidden" name="Wrkstn_${ALERT_SEND_TO_AM_ICAP}" id="hiddenID_WrkstnAlertSendToAmICAP"/>
                <input type="hidden" name="Server_${ALERT_SEND_TO_AM_ICAP}" id="hiddenID_ServerAlertSendToAmICAP"/>
            </span>
            <span id="spanID_AlertVMODS" style="display:none;">
                <br/>
                <orion:checkbox id="checkboxID_AlertSendToAmVMODS"
                                text="${AlertVMODSText}"
                                onClick="fnEnableAlertingUI(); validatePolicy();"
                                name="${ALERT_SEND_TO_AM_VMODS}"/>
                <input type="hidden" name="Wrkstn_${ALERT_SEND_TO_AM_VMODS}" id="hiddenID_WrkstnAlertSendToAmVMODS"/>
                <input type="hidden" name="Server_${ALERT_SEND_TO_AM_VMODS}" id="hiddenID_ServerAlertSendToAmVMODS"/>
            </span>
            <span id="spanID_AlertSAP" style="display:none;">
                <br/>
                <orion:checkbox id="checkboxID_AlertSendToAmSAP"
                                text="${AlertSAPText}"
                                onClick="fnEnableAlertingUI(); validatePolicy();"
                                name="${ALERT_SEND_TO_AM_SAP}"/>
                <input type="hidden" name="Wrkstn_${ALERT_SEND_TO_AM_SAP}" id="hiddenID_WrkstnAlertSendToAmSAP"/>
                <input type="hidden" name="Server_${ALERT_SEND_TO_AM_SAP}" id="hiddenID_ServerAlertSendToAmSAP"/>
            </span>
        </td>
    </tr>
    <tr>
        <td class="orionSummaryHeader" valign="top">
            <orion:message key="Alert.AMDestinationLabel" escape="html"/>
        </td>
        <td class="orionSummaryColumn" valign="top">
            <input type="hidden" name="Wrkstn_${ALERT_ALERT_TYPE}" id="hiddenID_WrkstnAlertType"/>
            <input type="hidden" name="Server_${ALERT_ALERT_TYPE}" id="hiddenID_ServerAlertType"/>
            <orion:checkbox id="ID_DisableAlerting"
                            text="${AlertDisableAlertingText}"
                            onClick="fnToggleAlertDestinationOptions(); validatePolicy(); "
                            name="ID_DisableAlerting"/>
            <table>
                <tr>
                    <td width="12"/>
                    <td>
                        <!-- This is a hidden radio button to set the AlertType value
                        to 0 in the case when alerting is disabled.-->
                        <orion:radiobutton id="radioID_DisableAlerting"
                                           value="0"
                                           style='display: none;'
                                           name="${ALERT_ALERT_TYPE}"/>
                        <orion:radiobutton id="radioID_CentralizedAlerting"
                                           text="${AlertEnableCentralAlertingText}"
                                           onClick="fnToggleDestinationLabel(1); validatePolicy();"
                                           value="2"
                                           name="${ALERT_ALERT_TYPE}"/>
                    </td>
                </tr>
                <tr>
                    <td width="12"/>
                    <td>
                        <orion:radiobutton id="radioID_AMAlerting"
                                           text="${AlertEnableAMAlertingText}"
                                           onClick="fnToggleDestinationLabel(2); validatePolicy();"
                                           value="4"
                                           name="${ALERT_ALERT_TYPE}"/>
                    </td>
                </tr>
                <tr>
                    <td width="12"/>
                    <td>
                        <table>
                            <tr>
                                <td width="16"/>
                                <td>
                                    <label id="labelID_Destination" style="display: none;">${AlertSpecifyDestination}</label>
                                    <label id="labelID_CentralAlertPath" style="display: none;">${AlertSpecifyCentralDirectoryText}</label>
                                    <label id="labelID_AMServerPath" style="display: none;">${AlertSpecifyAMServerText}</label>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td width="12"/>
                    <td>
                        <table>
                            <tr>
                                <td width="16"/>
                                <td>
                                    <orion:textbox id="textID_AlertingPath"
                                                   
                                                   onchange="validatePolicy()"
                                                   style="display: none;"/>
                                    <!-- the text from textID_AlertingPath will be copied to the
                                    appropriate hiddent textbox below based on the radio button
                                    that is selected for the alert type -->
                                    <orion:textbox id="textboxID_CentralizedAlerting"                                                   
                                                   name="${ALERT_CENTRAL_ALERTING_PATH}"
                                                   onkeyup="validatePolicy();"
                                                   required="true"
                                                   style="display: none;"/>
                                    <input type="hidden" name="Wrkstn_${ALERT_CENTRAL_ALERTING_PATH}" id="hiddenID_WrkstnCentralizedAlerting"/>
                                    <input type="hidden" name="Server_${ALERT_CENTRAL_ALERTING_PATH}" id="hiddenID_ServerCentralizedAlerting"/>
                                    <orion:textbox id="textboxID_AlertManagerServer"
                                                   name="${ALERT_AM_SERVER_PATH}"
                                                   onkeyup="validatePolicy();"

                                                   style="display: none;"/>
                                    <input type="hidden" name="Wrkstn_${ALERT_AM_SERVER_PATH}" id="hiddenID_WrkstnAlertManagerServerPath"/>
                                    <input type="hidden" name="Server_${ALERT_AM_SERVER_PATH}" id="hiddenID_ServerAlertManagerServerPath"/>
                                    <span style='display: none;' class='orionInputErrorText' id='exclusion_filetype_error'>!!</span>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td width="12"/>
                    <td>
                        <table>
                            <tr>
                                <td width="16"/>
                                <td>
                                    <orion:checkbox id="checkboxID_NoActiveDir"
                                                    text="${AlertDisableADLookupText}"
                                                    onClick="validatePolicy()"
                                                    name="checkboxID_NoActiveDir"/>
                                    <input type="hidden" name="Wrkstn_${ALERT_NO_ACTIVE_DIR}" id="hiddenID_WrkstnNoActiveDir"/>
                                    <input type="hidden" name="Server_${ALERT_NO_ACTIVE_DIR}" id="hiddenID_ServerNoActiveDir"/>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>

<table cellspacing="0" cellpadding="0" width="100%" id="additional" style="display:none;width:100%;">
    <tr>
        <td class="orionSummaryHeader" valign="top">
            <orion:message key="Alert.SeverityFilterLabel" escape="html"/>
        </td>
        <td class="orionSummaryColumn" valign="top">
            <orion:select id="selectID_AlertFilter"
                          onchange="validatePolicy();"
                          name="${ALERT_SUPPRESS_ALERTS_BELOW}">
                <option value="0">${AlertNoFilterText}</option>
                <option value="1">${AlertLessThanOneText}</option>
                <option value="2">${AlertLessThanTwoText}</option>
                <option value="3">${AlertLessThanThreeText}</option>
                <option value="4">${AlertLessThanFourText}</option>
                <option value="5">${AlertFilterAllText}</option>
            </orion:select>
            <input type="hidden" name="Wrkstn_${ALERT_SUPPRESS_ALERTS_BELOW}" id="hiddenID_WrkstnAlertFilter"/>
            <input type="hidden" name="Server_${ALERT_SUPPRESS_ALERTS_BELOW}" id="hiddenID_ServerAlertFilter"/>
        </td>
    </tr>
    <tr>
        <td class="orionSummaryHeader" valign="top">
            <orion:message key="Alert.LocalAlertingLabel" escape="html"/>
        </td>
        <td class="orionSummaryColumn" valign="top">
            <orion:checkbox id="checkboxID_AlertLogToEventLog"
                            text="${AlertLogToEventLogText}"
                            onClick="validatePolicy()"
                            name="${ALERT_LOCAL_EVENT_LOG}"/>
            <input type="hidden" name="Wrkstn_${ALERT_LOCAL_EVENT_LOG}" id="hiddenID_WrkstnAlertLogToEventLog"/>
            <input type="hidden" name="Server_${ALERT_LOCAL_EVENT_LOG}" id="hiddenID_ServerAlertLogToEventLog"/>
            <br/>
            <orion:checkbox id="checkboxID_AlertSendSNMPTrap"
                            text="${AlertSendSNMPTrapText}"                            
                            onClick="validatePolicy()"
                            name="checkboxID_AlertSendSNMPTrap"/>
            <input type="hidden" name="Wrkstn_${ALERT_SEND_SNMP}" id="hiddenID_WrkstnAlertSendSNMPTrap"/>
            <input type="hidden" name="Server_${ALERT_SEND_SNMP}" id="hiddenID_ServerAlertSendSNMPTrap"/>
        </td>
    </tr>
</table>
</orion:box>

<script type="text/javascript">
    function fnOnPageLoad()
    {
        initializePolicyData();
        displayModuleUI();
        displayPolicyData(g_CurrentPolicyType);
        g_FirstValidationCheck = true;
        OrionForm.setStateChangeHandler(stateChangeHandler);
        _doReadonly();
    };

    OrionCore.addLoadHandler(_setTabStrip);
    OrionCore.addLoadHandler(fnOnPageLoad);

    function _setTabStrip()
    {
        // This instantiates the swappable tabstrip
        swapper = new majic.SwapTabStrip("swaptab", {
            "alerts":{
                title:"${AMAlertsLabel}",
                callback:function(){OrionHelp.setHelpId("${HELPID_ALERT_ALERTS}");}
            },
            "additional":{
                title:"${AdditionalOptionsLabel}",
                callback:function(){OrionHelp.setHelpId("${HELPID_ALERT_ADDITIONAL_OPTIONS}");}
            }
        });
    };

    function initializePolicyData()
    {
        g_CurrentPolicyType = WRKSTN_POLICY;

        bSendToAlertManagerEmail[WRKSTN_POLICY] = ${AlertSettings.wrkstn_bSendToAlertManagerEmail};
        bSendToAlertManagerEmail[SERVER_POLICY] = ${AlertSettings.server_bSendToAlertManagerEmail};

        bSendToAlertManagerOAS[WRKSTN_POLICY] = ${AlertSettings.wrkstn_bSendToAlertManagerOAS};
        bSendToAlertManagerOAS[SERVER_POLICY] = ${AlertSettings.server_bSendToAlertManagerOAS};

        bSendToAlertManagerODS[WRKSTN_POLICY] = ${AlertSettings.wrkstn_bSendToAlertManagerODS};
        bSendToAlertManagerODS[SERVER_POLICY] = ${AlertSettings.server_bSendToAlertManagerODS};

        bSendToAlertManagerUpdate[WRKSTN_POLICY] = ${AlertSettings.wrkstn_bSendToAlertManagerUpdate};
        bSendToAlertManagerUpdate[SERVER_POLICY] = ${AlertSettings.server_bSendToAlertManagerUpdate};

        bSendToAlertManagerAP[WRKSTN_POLICY] = ${AlertSettings.wrkstn_bSendToAlertManagerAP};
        bSendToAlertManagerAP[SERVER_POLICY] = ${AlertSettings.server_bSendToAlertManagerAP};

        bSendToAlertManagerNetApp[WRKSTN_POLICY] = ${AlertSettings.wrkstn_bSendToAlertManagerNetApp};
        bSendToAlertManagerNetApp[SERVER_POLICY] = ${AlertSettings.server_bSendToAlertManagerNetApp};

        bSendToAlertManagerICAP[WRKSTN_POLICY] = ${AlertSettings.wrkstn_bSendToAlertManagerICAP};
        bSendToAlertManagerICAP[SERVER_POLICY] = ${AlertSettings.server_bSendToAlertManagerICAP};

        bSendToAlertManagerVMODS[WRKSTN_POLICY] = ${AlertSettings.wrkstn_bSendToAlertManagerVMODS};
        bSendToAlertManagerVMODS[SERVER_POLICY] = ${AlertSettings.server_bSendToAlertManagerVMODS};

        bSendToAlertManagerSAP[WRKSTN_POLICY] = ${AlertSettings.wrkstn_bSendToAlertManagerSAP};
        bSendToAlertManagerSAP[SERVER_POLICY] = ${AlertSettings.server_bSendToAlertManagerSAP};

        AlertType[WRKSTN_POLICY] = "${AlertSettings.wrkstn_AlertType}";
        AlertType[SERVER_POLICY] = "${AlertSettings.server_AlertType}";

        AlertManagerServerPath[WRKSTN_POLICY] = "${orion:escapeJavaScriptString(AlertSettings.wrkstn_AlertManagerServerPath)}";
        AlertManagerServerPath[SERVER_POLICY] = "${orion:escapeJavaScriptString(AlertSettings.server_AlertManagerServerPath)}";

        CentralizedAlertingPath[WRKSTN_POLICY] = "${orion:escapeJavaScriptString(AlertSettings.wrkstn_CentralizedAlertingPath)}";
        CentralizedAlertingPath[SERVER_POLICY] = "${orion:escapeJavaScriptString(AlertSettings.server_CentralizedAlertingPath)}";

        NoActiveDir[WRKSTN_POLICY] = ${AlertSettings.wrkstn_NoActiveDir};
        NoActiveDir[SERVER_POLICY] = ${AlertSettings.server_NoActiveDir};

        bLocalEventLog[WRKSTN_POLICY] = ${AlertSettings.wrkstn_bLocalEventLog};
        bLocalEventLog[SERVER_POLICY] = ${AlertSettings.server_bLocalEventLog};

        bSendSNMP[WRKSTN_POLICY] = ${AlertSettings.wrkstn_bSendSNMP};
        bSendSNMP[SERVER_POLICY] = ${AlertSettings.server_bSendSNMP};

        SuppressAlertsBelow[WRKSTN_POLICY] = ${AlertSettings.wrkstn_SuppressAlertsBelow};
        SuppressAlertsBelow[SERVER_POLICY] = ${AlertSettings.server_SuppressAlertsBelow};

        OrionForm.markInputExempt("checkboxID_AlertSendToAmOAS");
        OrionForm.markInputExempt("checkboxID_AlertSendToAmODS");
        OrionForm.markInputExempt("checkboxID_AlertSendToAmEmail");
        OrionForm.markInputExempt("checkboxID_AlertSendToAmUpdate");
        OrionForm.markInputExempt("checkboxID_AlertSendToAmAP");
        OrionForm.markInputExempt("checkboxID_AlertSendToAmNetApp");
        OrionForm.markInputExempt("checkboxID_AlertSendToAmICAP");
        OrionForm.markInputExempt("checkboxID_AlertSendToAmVMODS");
        OrionForm.markInputExempt("checkboxID_AlertSendToAmSAP");
        OrionForm.markInputExempt("checkboxID_AlertLogToEventLog");
        OrionForm.markInputExempt("checkboxID_AlertSendSNMPTrap");

    }

    function displayModuleUI()
    {
        // get advanced server module install states
        g_bStorageModuleInstalled = ${AlertSettings.bStorageModuleInstalled};
        g_bVMModuleInstalled = ${AlertSettings.bVMModuleInstalled};
        g_bSAPModuleInstalled = ${AlertSettings.bSAPModuleInstalled};
    }

    function validatePolicy()
    {
        var iAlertType = 0;
        var valid = true;
        var disableAlertingChecked = $("ID_DisableAlerting").checked;
        var centralAlertingChecked = $("radioID_CentralizedAlerting").checked;

        $("exclusion_filetype_error").style.display = "none";

        if(!bNoAlertingOptionsChecked && !disableAlertingChecked && centralAlertingChecked && $("textboxID_CentralizedAlerting").value == "")
        {
            valid = false;
        }

        var alertPathValue = $("textboxID_AlertManagerServer").value;

        var regex = /[*?\/|<>]/;

        if(regex.test(alertPathValue))
        {
            $("exclusion_filetype_error").style.display = "";
            valid = false;
        }        

       /* if(!IsValidAlertManagerServerPath(alertPathValue))
        {
            $("exclusion_filetype_error").style.display = "";
            valid = false;
        }  */
        
        if(valid)
        {
            valid = OrionForm.isFormValid();
        }

        stateChangeHandler(OrionForm.isFormDirty(), valid);
    }

    function _doReadonly()
    {
        if ("${epoReadOnlyPolicyObject}" == "true")
        {
            disableSection("ALERT_MANAGER",false);
        }
    }

   /* function IsValidAlertManagerServerPath(szPath)
    {
        var r;

        if(!(szPath.value == ""))
        {
            r = szPath.indexOf("/");

            if(r == -1)
                r = szPath.indexOf("\*");

            if(r == -1)
                r = szPath.indexOf("?");

            if(r == -1)
                r = szPath.indexOf("\"");

            if(r == -1)
                r = szPath.indexOf("|");

            if(r == -1)
                r = szPath.indexOf("<");

            if(r == -1)
                r = szPath.indexOf(">");

            if(r == -1)
                return true;

        }

        return false;
    } */
</script>
