<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%--<%@ taglib uri="http://www.mcafee.com/mercury" prefix="mercury" %>--%>
<%@ taglib uri="http://www.mcafee.com/vse" prefix="vse" %>

<vse:createConstants className="com.mcafee.VirusScan.policies.bufferoverflow.BufferOverflowConstants" varName="Constants"/>
<vse:importConstants className="com.mcafee.VirusScan.policies.bufferoverflow.BufferOverflowConstants"/>
<vse:importConstants className="com.mcafee.VirusScan.core.Constants"/>
<vse:importConstants className="com.mcafee.VirusScan.help.HelpConstants"/>

<orion:script context="/VIRUSCAN8800" src="/policies/bufferoverflow/EditBufferOverflowPolicy.js"/>
<orion:script context="/VIRUSCAN8800" src="/VSECommon.js"/>
<orion:script context="/core" src="/majic.js"/>

<!-- Strings from bundle file -->
<orion:message key="Global.Toggle.Label" var="ToggleLabelText"/>
<orion:message key="Global.Toggle.Workstation" var="ToggleWorkstationText"/>
<orion:message key="Global.Toggle.Server" var="ToggleServerText"/>

<!-- Tab Strings -->
<orion:message key="BufferOverflow.BufferOverflowTab" var="BufferOverflowProtectionTabLabel"/>
<orion:message key="BufferOverflow.ReportsTab" var="ReportsTabLabel"/>

<!-- Buffer Overflow Tab strings -->
<orion:message key="BufferOverflow.BOPInfo" var="BOPInfoText"/>
<orion:message escape="None" key="BufferOverflow.EnableBOP" var="EnableBOPText"/>
<orion:message escape="None" key="BufferOverflow.WarningMode" var="WarningModeText"/>
<orion:message escape="None" key="BufferOverflow.ProtectionMode" var="ProtectionModeText"/>
<orion:message escape="None" key="BufferOverflow.ShowMessagesDialog" var="ShowMessagesDialogText"/>
<orion:message key="BufferOverflow.ExclusionsInfo1" var="ExclusionsInfo1Text"/>
<orion:message key="BufferOverflow.ExclusionsInfo2" var="ExclusionsInfo2Text"/>
<orion:message key="BufferOverflow.AdvancedExclusions" var="AdvancedExclusionsText"/>
<orion:message key="BufferOverflow.Process" var="ProcessText"/>
<orion:message key="BufferOverflow.Module" var="ModuleText"/>
<orion:message key="BufferOverflow.API" var="APIText"/>

<!-- Reports Tab Strings -->
<orion:message escape="None" key="Global.Report.LogToFile" var="LogToFileText"/>
<orion:message escape="None" key="Global.Report.LimitLogFileSize" var="LimitLogFileSizeText"/>
<orion:message key="Global.Report.SizeUnitLabel" var="MaximumSizeText"/>
<orion:message key="Global.Report.MBLabel" var="MBText"/>
<orion:message key="Global.Report.FormatANSI" var="FormatANSIText"/>
<orion:message key="Global.Report.FormatUTF8" var="FormatUTF8Text"/>
<orion:message key="Global.Report.FormatUTF16" var="FormatUTF16Text"/>
<orion:message key="Global.Report.LogFileInfo" var="LogFileInfoText"/>

<!-- Workstation/Server Toggle -->
<orion:box height="40" id="divID_SelectionToggle">
    <div style="background-color:#EDEDED">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                    <label for="selectID_PolicyTypeToggle"><b>${ToggleLabelText}</b></label>
                    <select id="selectID_PolicyTypeToggle" onchange="onPolicyTypeToggle(this.value);">
                        <option value="0">${ToggleWorkstationText}</option>
                        <option value="1">${ToggleServerText}</option>
                    </select>
                </td>
            </tr>
        </table>
    </div>
</orion:box>
<!-- Workstation/Server Toggle -->

<orion:box height="24" id="swaptab"></orion:box>
<orion:box id="BUFFER_OVERFLOW">
<div id="bufferoverflowprotection" style="display:none;width:100%;">
    <div class="orionDescriptionArea orionBorderBottomGrey">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                    ${BOPInfoText}
                </td>
            </tr>
        </table>
    </div>
    <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="BufferOverflow.BufferOverflowSettingsTitle" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <orion:checkbox id="checkboxID_EnerceptEnabled"
                                text="${EnableBOPText}"
                                onclick="setBOPUIEnabled(this.checked); validatePolicy();"/>
                <input type="hidden" id="hiddenID_WrkstnEnterceptEnabled" name="Wrkstn_${BO_ENTERCEPT_ENABLED}" value="${BufferOverflowSettings.wrkstn_EnterceptEnabled}"/>
                <input type="hidden" id="hiddenID_ServerEnterceptEnabled" name="Server_${BO_ENTERCEPT_ENABLED}" value="${BufferOverflowSettings.server_EnterceptEnabled}"/>
                <table>
                    <tr>
                        <td width="12"/>
                        <td>
                            <orion:radiobutton id="radioID_BOPWarnMode"
                                               value="0"
                                               text="${WarningModeText}"
                                               onclick="validatePolicy();"
                                               name="group_EnterceptMode"/>
                        </td>
                    </tr>
                    <tr>
                        <td width="12"/>
                        <td>
                            <orion:radiobutton id="radioID_BOPProtectMode"
                                               value="1"
                                               text="${ProtectionModeText}"
                                               onclick="validatePolicy();"
                                               name="group_EnterceptMode"/>
                        </td>
                    </tr>
                    <input type="hidden" id="hiddenID_WrkstnEnterceptMode" name="Wrkstn_${BO_ENTERCEPT_MODE}" value="${BufferOverflowSettings.wrkstn_EnterceptMode}"/>
                    <input type="hidden" id="hiddenID_ServerEnterceptMode" name="Server_${BO_ENTERCEPT_MODE}" value="${BufferOverflowSettings.server_EnterceptMode}"/>
                </table>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="BufferOverflow.ClientSystemWarningTitle" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <orion:checkbox id="checkboxID_EnterceptShowMessages"
                                text="${ShowMessagesDialogText}"
                                onclick="validatePolicy();"/>
                <input type="hidden" id="hiddenID_WrkstnEnterceptShowMessages" name="Wrkstn_${BO_ENTERCEPT_SHOW_MESSAGES}" value="${BufferOverflowSettings.wrkstn_EnterceptShowMessages}"/>
                <input type="hidden" id="hiddenID_ServerEnterceptShowMessages" name="Server_${BO_ENTERCEPT_SHOW_MESSAGES}" value="${BufferOverflowSettings.server_EnterceptShowMessages}"/>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="BufferOverflow.BufferOverflowExclusionsTitle" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <table>
                    <tr>
                        <td>
                            <label>${ExclusionsInfo1Text}</label>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>${ExclusionsInfo2Text}</label>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <br/>
                            <div id="divID_WrkstnBOPExclusionsList"></div>
                            <input type="hidden" id="hiddenID_WrkstnEntExclProcesses" name="hiddenID_WrkstnEntExclProcesses" value="${BufferOverflowSettings.wrkstn_szEntExclProcesses}"/>
                            <input type="hidden" id="hiddenID_WrkstnEntExclAPIs" name="hiddenID_WrkstnEntExclAPIs" value="${BufferOverflowSettings.wrkstn_szEntExclAPIs}"/>
                            <div id="divID_ServerBOPExclusionsList" style="display:none;"></div>
                            <input type="hidden" id="hiddenID_ServerEntExclProcesses" name="hiddenID_ServerEntExclProcesses" value="${BufferOverflowSettings.server_szEntExclProcesses}"/>
                            <input type="hidden" id="hiddenID_ServerEntExclAPIs" name="hiddenID_ServerEntExclAPIs" value="${BufferOverflowSettings.server_szEntExclAPIs}"/>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</div>

<div id="reports" style="display:none;width:100%;">
    <div class="orionDescriptionArea orionBorderBottomGrey">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                    ${LogFileInfoText}
                </td>
            </tr>
        </table>
    </div>
    <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="Global.Report.LogFileLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <orion:checkbox id="checkboxID_LogToFile"
                                text="${LogToFileText}"
                                onclick="validatePolicy(); fnEnableReportingTabUI();"/>
                <input type="hidden" name="Wrkstn_${BO_LOG_TO_FILE}" id="hiddenID_WrkstnLogToFile" value="${BufferOverflowSettings.wrkstn_bLogToFile_Ent}"/>
                <input type="hidden" name="Server_${BO_LOG_TO_FILE}" id="hiddenID_ServerLogToFile" value="${BufferOverflowSettings.server_bLogToFile_Ent}"/>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="Global.Report.LogFileLocationLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <jsp:include page="/SystemMacros/SystemMacros.jsp"/>
                <img id="imgID_MacroNoFocus"
                     onclick='showMacroMenu(event, $("textboxID_LogFileName"), validatePolicy);'
                     onmouseover='this.src="/VIRUSCAN8800/img/M2.jpg"'
                     onmouseout='this.src="/VIRUSCAN8800/img/M1.jpg"'
                     onmousedown='this.src="/VIRUSCAN8800/img/M3.jpg"'
                     onmouseup='this.src="/VIRUSCAN8800/img/M1.jpg"'
                     src="/VIRUSCAN8800/img/M1.jpg">
                <orion:textbox id="textboxID_LogFileName"
                               maxlength="250"
                               required="true"
                               onkeyup="validatePolicy();"
                               onvalidate="validateLogfilePath"/>
                <input type="hidden" name="Wrkstn_${BO_LOG_FILE_NAME}" id="hiddenID_WrkstnLogFileName" value="${BufferOverflowSettings.wrkstn_szLogFileName_Ent}"/>
                <input type="hidden" name="Server_${BO_LOG_FILE_NAME}" id="hiddenID_ServerLogFileName" value="${BufferOverflowSettings.server_szLogFileName_Ent}"/>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="Global.Report.LogFileSizeLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <orion:checkbox id="checkboxID_LimitLogFileSize"
                                text="${LimitLogFileSizeText}"
                                onClick="fnEnableReportingTabUI(); validatePolicy();"/>
                <input type="hidden" name="Wrkstn_${BO_LIMIT_LOG_FILE_SIZE}" id="hiddenID_WrkstnLimitLogSize" value="${BufferOverflowSettings.wrkstn_bLimitSize_Ent}"/>
                <input type="hidden" name="Server_${BO_LIMIT_LOG_FILE_SIZE}" id="hiddenID_ServerLimitLogSize" value="${BufferOverflowSettings.server_bLimitSize_Ent}"/>
                <table>
                    <tr>
                        <td width="16"/>
                        <td>
                            <label id="labelID_MaxLogSize">${MaximumSizeText}&nbsp;</label>
                            <orion:textbox id="textboxID_MaxLogSize"
                                           maxlength="3"
                                           size="5"
                                           required="true"
                                           onvalidate="validateMaxLogSize"
                                           onkeypress="return numbers_only(event)"
                                           onkeyup="validatePolicy();"/>
                            <label id="labelID_MB">&nbsp;${MBText}</label>
                            <input type="hidden" name="Wrkstn_${BO_MAX_LOG_FILE_SIZE}" id="hiddenID_WrkstnMaxLogSize" value="${BufferOverflowSettings.wrkstn_dwMaxLogSizeMB_Ent}"/>
                            <input type="hidden" name="Server_${BO_MAX_LOG_FILE_SIZE}" id="hiddenID_ServerMaxLogSize" value="${BufferOverflowSettings.server_dwMaxLogSizeMB_Ent}"/>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="Global.Report.LogFileFormatLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <orion:select id="selectID_LogFileFormat"
                              onchange="validatePolicy();">
                    <option value="0">${FormatANSIText}</option>
                    <option value="1">${FormatUTF8Text}</option>
                    <option value="2">${FormatUTF16Text}</option>
                </orion:select>
                <input type="hidden" name="Wrkstn_${BO_LOG_FILE_FORMAT}" id="hiddenID_WrkstnLogFileFormat" value="${BufferOverflowSettings.wrkstn_LogFileFormat_Ent}"/>
                <input type="hidden" name="Server_${BO_LOG_FILE_FORMAT}" id="hiddenID_ServerLogFileFormat" value="${BufferOverflowSettings.server_LogFileFormat_Ent}"/>
            </td>
        </tr>
    </table>
</div>
<!-- BOP Exclusions Templates -->
<!-- Workstation Exclusions -->
<div id='wrkstn_bop_exclusions_div' style="display:none">
    <label for='wrkstn_bop_excl_process_@ID'>${ProcessText}</label>
    &nbsp;<input type='text' id='wrkstn_bop_excl_process_@ID' size='20' maxlength='259'>
    <label style='display: none;' class='orionInputErrorText' id='wrkstn_bop_excl_process_@ID_boperr'>!!</label>
    <label style='display: none;' class='orionInputErrorText' id='wrkstn_bop_excl_process_@ID_empty'>*</label>
    &nbsp;&nbsp;
    <span id='wrkstn_bop_advanced_span_@ID' style="display:none">
        <label for='wrkstn_bop_excl_module_@ID'>${ModuleText}</label>
        &nbsp;<input type='text' id='wrkstn_bop_excl_module_@ID' size='20' maxlength='259'>
        <label style='display: none;' class='orionInputErrorText' id='wrkstn_bop_excl_module_@ID_boperr'>!!</label>
        <label style='display: none;' class='orionInputErrorText' id='wrkstn_bop_excl_module_@ID_empty'>*</label>
        &nbsp;&nbsp;
        <label for='wrkstn_bop_excl_API_@ID'>${APIText}</label>
        &nbsp;<input type='text' id='wrkstn_bop_excl_API_@ID' size='20' maxlength='259'>
        <label style='display: none;' class='orionInputErrorText' id='wrkstn_bop_excl_API_@ID_boperr'>!!</label>
        <label style='display: none;' class='orionInputErrorText' id='wrkstn_bop_excl_API_@ID_empty'>*</label>
    </span>
</div>

<!-- Server Exclusions -->
<div id='server_bop_exclusions_div' style="display:none">
    <label for='server_bop_excl_process_@ID'>${ProcessText}</label>
    &nbsp;<input type='text' id='server_bop_excl_process_@ID' size='20'  maxlength='259'>
    <label style='display: none;' class='orionInputErrorText' id='server_bop_excl_process_@ID_boperr'>!!</label>
    <label style='display: none;' class='orionInputErrorText' id='server_bop_excl_process_@ID_empty'>*</label>
    &nbsp;&nbsp;
    <span id='server_bop_advanced_span_@ID' style="display:none">
        <label for='server_bop_excl_module_@ID'>${ModuleText}</label>
        &nbsp;<input type='text' id='server_bop_excl_module_@ID' size='20' maxlength='259'>
        <label style='display: none;' class='orionInputErrorText' id='server_bop_excl_module_@ID_boperr'>!!</label>
        <label style='display: none;' class='orionInputErrorText' id='server_bop_excl_module_@ID_empty'>*</label>
        &nbsp;&nbsp;
        <label for='server_bop_excl_API_@ID'>${APIText}</label>
        &nbsp;<input type='text' id='server_bop_excl_API_@ID' size='20' maxlength='259'>
        <label style='display: none;' class='orionInputErrorText' id='server_bop_excl_API_@ID_boperr'>!!</label>
        <label style='display: none;' class='orionInputErrorText' id='server_bop_excl_API_@ID_empty'>*</label>
     </span>
</div>
</orion:box>

<script type="text/javascript">
    OrionCore.addLoadHandler(_setTabStrip);
    OrionCore.addLoadHandler(fnOnPageLoad);

    function fnOnPageLoad()
    {
        initializePolicyData();
        _bufferoverflowTabInit();
        _reportsTabInit();
        displayPolicyData(g_CurrentPolicyType);
        g_FirstValidationCheck = true;
        OrionForm.setStateChangeHandler(stateChangeHandler);
        _doReadonly();
    };

    function _setTabStrip()
    {
        swapper = new majic.SwapTabStrip("swaptab", {
            "bufferoverflowprotection":{
                title:"${BufferOverflowProtectionTabLabel}",
                callback:function(){OrionHelp.setHelpId("${HELPID_BO_BUFFER_OVERFLOW}");}
            },
            "reports":{
                title:"${ReportsTabLabel}",
                callback:function(){OrionHelp.setHelpId("${HELPID_BO_REPORTS}");}
            }
        });
    }

    function initializePolicyData()
    {
        g_CurrentPolicyType = 0;

        EnterceptEnabled[WRKSTN_POLICY] = ${BufferOverflowSettings.wrkstn_EnterceptEnabled};
        EnterceptMode[WRKSTN_POLICY] = ${BufferOverflowSettings.wrkstn_EnterceptMode};
        EnterceptShowMessages[WRKSTN_POLICY] = ${BufferOverflowSettings.wrkstn_EnterceptShowMessages};
        bLogToFile[WRKSTN_POLICY] = ${BufferOverflowSettings.wrkstn_bLogToFile_Ent};
        szLogFileName[WRKSTN_POLICY] = "${orion:escapeJavaScriptString(BufferOverflowSettings.wrkstn_szLogFileName_Ent)}";
        bLimitSize[WRKSTN_POLICY] = ${BufferOverflowSettings.wrkstn_bLimitSize_Ent};
        dwMaxLogSizeMB[WRKSTN_POLICY] = ${BufferOverflowSettings.wrkstn_dwMaxLogSizeMB_Ent};
        logFileFormat[WRKSTN_POLICY] = ${BufferOverflowSettings.wrkstn_LogFileFormat_Ent};

        EnterceptEnabled[SERVER_POLICY] = ${BufferOverflowSettings.server_EnterceptEnabled};
        EnterceptMode[SERVER_POLICY] = ${BufferOverflowSettings.server_EnterceptMode};
        EnterceptShowMessages[SERVER_POLICY] = ${BufferOverflowSettings.server_EnterceptShowMessages};
        bLogToFile[SERVER_POLICY] = ${BufferOverflowSettings.server_bLogToFile_Ent};
        szLogFileName[SERVER_POLICY] = "${orion:escapeJavaScriptString(BufferOverflowSettings.server_szLogFileName_Ent)}";
        bLimitSize[SERVER_POLICY] = ${BufferOverflowSettings.server_bLimitSize_Ent};
        dwMaxLogSizeMB[SERVER_POLICY] = ${BufferOverflowSettings.server_dwMaxLogSizeMB_Ent};
        logFileFormat[SERVER_POLICY] = ${BufferOverflowSettings.server_LogFileFormat_Ent};

    }

    // Buffer Overflow Tab functions
    function _bufferoverflowTabInit()
    {
        Wrkstn_ExclusionsAddWidgetInit();
        Wrkstn_AddBOPExclusions();
        Server_ExclusionsAddWidgetInit();
        Server_AddBOPExclusions();
        setBOPMode();
    }

    function Wrkstn_ExclusionsAddWidgetInit()
    {
        g_WrkstnBOPExclusionsAddWidget = new VSE.AddWidget({
            container:"divID_WrkstnBOPExclusionsList",
            addCallback:Wrkstn_BOPExclAddCallback,
            removeCallback:BOPExclRemoveCallback,
            readOnly:false,
            content:$("wrkstn_bop_exclusions_div").innerHTML            
        });
    }

    function Wrkstn_AddBOPExclusions()
    {
        var BOPExclusionCount = ${BufferOverflowSettings.wrkstn_dwEntExclItemCount};
        if(BOPExclusionCount > 0)
        {
            var szEntExclProcesses = "${orion:escapeJavaScriptString(BufferOverflowSettings.wrkstn_szEntExclProcesses)}".split(Constants.LIST_TOKEN_SPLITTER);
            var szEntExclAPIs = "${orion:escapeJavaScriptString(BufferOverflowSettings.wrkstn_szEntExclAPIs)}".split(Constants.LIST_TOKEN_SPLITTER);

            if(szEntExclProcesses.length > 0 &&
               (szEntExclProcesses.length == szEntExclAPIs.length))
            {
                for(var i = 0; i < szEntExclProcesses.length; ++i)
                {
                    var exclusionValue = szEntExclProcesses[i] + Constants.LIST_TOKEN_SPLITTER;
                    exclusionValue += szEntExclAPIs[i];

                    g_WrkstnBOPExclusionsAddWidget.add({"@VALUE":exclusionValue});
                }
            }
            else
            {
                g_WrkstnBOPExclusionsAddWidget.add({"@VALUE":""});
            }
        }
        else
        {
            g_WrkstnBOPExclusionsAddWidget.add({"@VALUE":""});
        }
    }

    function Server_ExclusionsAddWidgetInit()
    {
        g_ServerBOPExclusionsAddWidget = new VSE.AddWidget({
            container:"divID_ServerBOPExclusionsList",
            addCallback:Server_BOPExclAddCallback,
            removeCallback:BOPExclRemoveCallback,
            readOnly:false,
            content:$("server_bop_exclusions_div").innerHTML
        });
    }

    function Server_AddBOPExclusions()
    {
        var BOPExclusionCount = ${BufferOverflowSettings.server_dwEntExclItemCount};
        if(BOPExclusionCount > 0)
        {
            var szEntExclProcesses = "${orion:escapeJavaScriptString(BufferOverflowSettings.server_szEntExclProcesses)}".split(Constants.LIST_TOKEN_SPLITTER);
            var szEntExclAPIs = "${orion:escapeJavaScriptString(BufferOverflowSettings.server_szEntExclAPIs)}".split(Constants.LIST_TOKEN_SPLITTER);

            if(szEntExclProcesses.length > 0 &&
               (szEntExclProcesses.length == szEntExclAPIs.length))
            {
                for(var i = 0; i < szEntExclProcesses.length; ++i)
                {
                    var exclusionValue = szEntExclProcesses[i] + Constants.LIST_TOKEN_SPLITTER;
                    exclusionValue += szEntExclAPIs[i];

                    g_ServerBOPExclusionsAddWidget.add({"@VALUE":exclusionValue});
                }
            }
            else
            {
                g_ServerBOPExclusionsAddWidget.add({"@VALUE":""});
            }
        }
        else
        {
            g_ServerBOPExclusionsAddWidget.add({"@VALUE":""});
        }
    }

    function setBOPMode()
    {
        setBOPUIEnabled(EnterceptEnabled[g_CurrentPolicyType]);
        if(BLOCKING_MODE == EnterceptMode[g_CurrentPolicyType])
        {
            $("radioID_BOPProtectMode").checked = true;
        }
        else
        {
            $("radioID_BOPWarnMode").checked = true;
        }
    }

    function setBOPUIEnabled(enabled)
    {
        $("radioID_BOPWarnMode").disabled = !enabled;
        $("radioID_BOPProtectMode").disabled = !enabled;
        $("checkboxID_EnterceptShowMessages").disabled = !enabled;

        if(g_CurrentPolicyType == WRKSTN_POLICY)
        {
            disableSection("divID_WrkstnBOPExclusionsList",enabled);
        }
        else
        {
            disableSection("divID_ServerBOPExclusionsList",enabled);
        }
    }

    // Reports Tab Functions
    function _reportsTabInit()
    {
        $("selectID_LogFileFormat").selectedIndex = logFileFormat[g_CurrentPolicyType];
        fnEnableReportingTabUI();

    }

    function fnEnableReportingTabUI()
    {
        var enableUI = $("checkboxID_LogToFile").checked;

        $("textboxID_LogFileName").disabled = !enableUI;
        $("checkboxID_LimitLogFileSize").disabled = !enableUI;
        $("labelID_MaxLogSize").disabled = !enableUI;
        $("textboxID_MaxLogSize").disabled = !enableUI;
        $("selectID_LogFileFormat").disabled = !enableUI;

        if(enableUI)
        {
            $("textboxID_MaxLogSize").disabled = !($("checkboxID_LimitLogFileSize").checked);
        }
    }

    function validatePolicy()
    {
        var valid = true;

        if(g_CurrentPolicyType == WRKSTN_POLICY)
        {
            valid = Wrkstn_ValidateExclusions();
        }
        else
        {
            valid = Server_ValidateExclusions();
        }

        // now check the data on the reports tab
        if(valid && $("checkboxID_LogToFile").checked)
        {
            valid = validateLogfilePath($("textboxID_LogFileName").value);
            
            if(valid && $("checkboxID_LimitLogFileSize").checked && ($("textboxID_MaxLogSize").value == "" || $("textboxID_MaxLogSize").value < 1))
            {
                valid = false;
            }
        }

        if(valid)
        {
            valid = OrionForm.isFormValid();
        }

        stateChangeHandler(OrionForm.isFormDirty(), valid);
    }

    function Wrkstn_ValidateExclusions()
    {
        var valid = true;
        var myrows = g_WrkstnBOPExclusionsAddWidget.getList();
        var elementIDList = "";

        for(var i in myrows)
        {
            var currentItemID = myrows[i].replace("divID_WrkstnBOPExclusionsList_awrow_", "");

            var Process = $("wrkstn_bop_excl_process_"+currentItemID).value;

            if(Process.indexOf("?")!=-1||
               Process.indexOf("*")!=-1)
            {
                $("wrkstn_bop_excl_process_" + currentItemID + "_boperr").style.display = "";

                valid = false;
                break;
            }
            else
            {
                $("wrkstn_bop_excl_process_" + currentItemID + "_boperr").style.display = "none";
            }


            var Module = $("wrkstn_bop_excl_module_"+currentItemID).value;

            if(Module.indexOf("?")!=-1||
               Module.indexOf("*")!=-1)
            {
                $("wrkstn_bop_excl_module_" + currentItemID + "_boperr").style.display = "";

                valid = false;
                break;
            }
            else
            {
                $("wrkstn_bop_excl_module_" + currentItemID + "_boperr").style.display = "none";
            }

            var API = $("wrkstn_bop_excl_API_"+currentItemID).value;

            if(API.indexOf("?")!=-1||
               API.indexOf("*")!=-1)
            {
                $("wrkstn_bop_excl_API_" + currentItemID + "_boperr").style.display = "";

                valid = false;
                break;
            }
            else
            {
                $("wrkstn_bop_excl_API_" + currentItemID + "_boperr").style.display = "none";
            }

            // if any of the exclusion items have data, then there must be data for both
            // the process and the api items for the exclusion
            /*if(Process.value == "")
            {
                valid = false;
                break;
            }*/
        }

        return valid;
    }

    function Server_ValidateExclusions()
    {
        var valid = true;
        var myrows = g_ServerBOPExclusionsAddWidget.getList();
        var elementIDList = "";

        for(var i in myrows)
        {
            var currentItemID = myrows[i].replace("divID_ServerBOPExclusionsList_awrow_", "");          

            var Process = $("server_bop_excl_process_"+currentItemID).value;

            if(Process.indexOf("?")!=-1||
               Process.indexOf("*")!=-1)
            {
                $("server_bop_excl_process_" + currentItemID  + "_boperr").style.display = "";

                valid = false;
                break;
            }
            else
            {
                $("server_bop_excl_process_" + currentItemID + "_boperr").style.display = "none";
            }

            var Module = $("server_bop_excl_module_"+currentItemID).value;

            if(Module.indexOf("?")!=-1||
               Module.indexOf("*")!=-1)
            {
                $("server_bop_excl_module_" + currentItemID + "_boperr").style.display = "";

                valid = false;
                break;
            }
            else
            {
                $("server_bop_excl_module_" + currentItemID + "_boperr").style.display = "none";
            }

            var API = $("server_bop_excl_API_"+currentItemID).value;

            if(API.indexOf("?")!=-1||
               API.indexOf("*")!=-1)
            {
                $("server_bop_excl_API_" + currentItemID + "_boperr").style.display = "";

                valid = false;
                break;
            }
            else
            {
                $("server_bop_excl_API_" + currentItemID + "_boperr").style.display = "none";
            }

            // if any of the exclusion items have data, then there must be data for both
            // the process and the api items for the exclusion
            /*if(Process.value == "")
            {
                valid = false;
                break;
            }*/
        }

        return valid;
    }

    function displayExclusionsLists(policyType)
    {
        if(policyType == WRKSTN_POLICY)
        {
            $("divID_WrkstnBOPExclusionsList").style.display = "";
            $("divID_ServerBOPExclusionsList").style.display = "none";
            var API = $("wrkstn_bop_excl_API_1");
        }
        else
        {
            $("divID_WrkstnBOPExclusionsList").style.display = "none";
            $("divID_ServerBOPExclusionsList").style.display = "";
            var API = $("server_bop_excl_API_1");
        }

        fnSetAdvancedState( );
    }

    function _doReadonly()
    {
        if ("${epoReadOnlyPolicyObject}" == "true")
        {
            disableSection("BUFFER_OVERFLOW",false);
        }
    }

    function fnClearExclList( )
    {
        if(g_CurrentPolicyType == WRKSTN_POLICY)
        {
            g_WrkstnBOPExclusionsAddWidget.clearList();
        }
        else
        {
            g_ServerBOPExclusionsAddWidget.clearList();
        }
    }
</script>