<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%--<%@ taglib uri="http://www.mcafee.com/mercury" prefix="mercury" %>--%>
<%@ taglib uri="http://www.mcafee.com/vse" prefix="vse" %>

<vse:createConstants className="com.mcafee.VirusScan.policies.quarantine.QuarantineConstants" varName="Constants"/>
<vse:importConstants className="com.mcafee.VirusScan.policies.quarantine.QuarantineConstants"/>
<vse:importConstants className="com.mcafee.VirusScan.core.Constants"/>
<vse:importConstants className="com.mcafee.VirusScan.help.HelpConstants"/>

<orion:script context="/VIRUSCAN8800" src="/policies/quarantine/EditQuarantinePolicy.js"/>
<orion:script context="/VIRUSCAN8800" src="/VSECommon.js"/>
<orion:script context="/core" src="/majic.js"/>

<orion:message key="Global.Toggle.Label" var="ToggleLabelText"/>
<orion:message key="Global.Toggle.Workstation" var="ToggleWorkstationText"/>
<orion:message key="Global.Toggle.Server" var="ToggleServerText"/>

<orion:message key="Quarantine.QuarantineTab" var="QuarantineTabText"/>
<orion:message key="Quarantine.QuarantineInfo" var="QuarantineInfoText"/>
<orion:message escape="None" key="Quarantine.AutoDeleteData" var="AutoDeleteDataText"/>
<orion:message key="Quarantine.RetainQuarantinedData" var="RetainQuarantinedDataText"/>
<orion:message key="Quarantine.Days" var="DaysText"/>

<!-- Workstation/Server Toggle -->
<orion:box height="40" id="divID_SelectionToggle">
    <div style="background-color:#EDEDED">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                    <label for="selectID_PolicyTypeToggle"><b>${ToggleLabelText}</b></label>
                    <select id="selectID_PolicyTypeToggle" onchange="onPolicyTypeToggle(this.value);">
                        <option value="0">${ToggleWorkstationText}</option>
                        <option value="1">${ToggleServerText}</option>
                    </select>
                </td>
            </tr>
        </table>
    </div>
</orion:box>
<!-- Workstation/Server Toggle -->

<orion:box height="24" id="swaptab"></orion:box>
<orion:box id="QUARANTINE_MANAGER">
<table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
    <tr>
        <td style="background-color:#F2F2F2; color:#4b4b4b; border-width:1px;border-color:#e1e1e1;padding:10px;width:100%;font-family:verdana;font-size:10px;line-height:16px;border-style:solid">
            ${QuarantineInfoText}
        </td>
    </tr>
</table>    
<table cellspacing="0" cellpadding="0" width="100%" id="quarantine" style="display:none;width:100%;">
    <tr>
        <td class="orionSummaryHeader" valign="top">
            <orion:message key="Quarantine.QuarantineDirectory" escape="html"/>
        </td>
        <td class="orionSummaryColumn" valign="top">
            <jsp:include page="/SystemMacros/SystemMacros.jsp"/>
            <img id="imgID_MacroNoFocus"
                 onclick='showMacroMenu(event, $("textboxID_QuarantineDirectory"), validatePolicy);'
                 onmouseover='this.src="/VIRUSCAN8800/img/M2.jpg"'
                 onmouseout='this.src="/VIRUSCAN8800/img/M1.jpg"'
                 onmousedown='this.src="/VIRUSCAN8800/img/M3.jpg"'
                 onmouseup='this.src="/VIRUSCAN8800/img/M1.jpg"'
                 src="/VIRUSCAN8800/img/M1.jpg">
            <orion:textbox id="textboxID_QuarantineDirectory"
                           name="${QUARANTINE_DIRECTORY}"
                           size="60"
                           maxlength="268"
                           onvalidate="validateQuarantineFolder"
                           onkeyup="validatePolicy();"/>
            <input type="hidden" name="Wrkstn_${QUARANTINE_DIRECTORY}" id="hiddenID_WrkstnQuarantineDirectory"/>
            <input type="hidden" name="Server_${QUARANTINE_DIRECTORY}" id="hiddenID_ServerQuarantineDirectory"/>
        </td>
    </tr>
    <tr>
        <td class="orionSummaryHeader" valign="top">
            <orion:message key="Quarantine.QuarantineRetention" escape="html"/>
        </td>
        <td class="orionSummaryColumn" valign="top">
            <orion:checkbox id="checkboxID_AutoDeleteData"
                            text="${AutoDeleteDataText}"
                            onclick="autoDelete_onClick(this.checked); validatePolicy();"/>
            <table>
                <tr>
                    <td width="17"></td>
                    <td>
                        <label id="labelID_RetainData" for="numberboxID_QuarantineAge">${RetainQuarantinedDataText}&nbsp;&nbsp;</label>
                        <input type="hidden" name="Wrkstn_${QUARANTINE_AGE}" id="hiddenID_WrkstnQuarantineAge" value="${QuarantineSettings.wrkstn_QuarantineAge}"/>
                        <input type="hidden" name="Server_${QUARANTINE_AGE}" id="hiddenID_ServerQuarantineAge" value="${QuarantineSettings.server_QuarantineAge}"/>
                        <orion:textbox id="numberboxID_QuarantineAge"
                                       name="numberboxID_QuarantineAge"
                                       maxlength="3"
                                       size="5"
                                       required="true"
                                       onvalidate="validateQuarantineAge"
                                       onkeypress="return numbers_only(event)"
                                       onkeyup="validatePolicy();"/>
                        <label id="labelID_Days">&nbsp;${DaysText}</label>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
</orion:box>

<script type="text/javascript">
    function fnOnPageLoad()
    {
        initializePolicyData();
        displayPolicyData(g_CurrentPolicyType);
        g_FirstValidationCheck = true;
        OrionForm.setStateChangeHandler(stateChangeHandler);
        _doReadonly();
    };

    OrionCore.addLoadHandler(_setTabStrip);
    OrionCore.addLoadHandler(fnOnPageLoad);

    function _setTabStrip()
    {
        // This instantiates the swappable tabstrip
        swapper = new majic.SwapTabStrip("swaptab", {
            "quarantine":{
                title:"${QuarantineTabText}",
                callback:function(){OrionHelp.setHelpId("${HELPID_QMANAGER_QUARANTINE}");}
            }
        });
    };

    function initializePolicyData()
    {
        g_CurrentPolicyType = WRKSTN_POLICY;

        szQuarantineDir[WRKSTN_POLICY] = "${orion:escapeJavaScriptString(QuarantineSettings.wrkstn_QuarantineDirectory)}";
        szQuarantineDir[SERVER_POLICY] = "${orion:escapeJavaScriptString(QuarantineSettings.server_QuarantineDirectory)}";

        nQuarantineAge[WRKSTN_POLICY] = ${QuarantineSettings.wrkstn_QuarantineAge};
        nQuarantineAge[SERVER_POLICY] = ${QuarantineSettings.server_QuarantineAge};
    }

    function autoDelete_onClick(checked)
    {
        if(checked)
        {
            $("labelID_RetainData").disabled = false;
            $("numberboxID_QuarantineAge").disabled = false;
            $("labelID_Days").disabled = false;
        }
        else
        {
            $("labelID_RetainData").disabled = true;
            $("numberboxID_QuarantineAge").disabled = true;
            $("labelID_Days").disabled = true;
        }
    }

    function validatePolicy()
    {
        var valid = true;
        storePolicyData(g_CurrentPolicyType);

        valid = validateQuarantineAge($("numberboxID_QuarantineAge").value);

        if(valid)
        {
            valid = OrionForm.isFormValid();
        }

        stateChangeHandler(OrionForm.isFormDirty(), valid);
    }

    function _doReadonly()
    {
        if ("${epoReadOnlyPolicyObject}" == "true")
        {
            disableSection("QUARANTINE_MANAGER",false);
        }
    }
</script>
