<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>

<orion:script context="/VIRUSCAN8800" src="/VSEDialog.js"/>

<orion:message escape="None" key="UnwantedPrograms.DlgTitle" var="DlgTitleDescriptionText"/>
<orion:message key="UnwantedPrograms.FilenameInfo" var="FilenameInfoText"/>
<orion:message key="UnwantedPrograms.DescriptionInfo" var="DescriptionInfoText"/>
<orion:message key="UnwantedPrograms.Filename" var="FilenameText"/>
<orion:message key="UnwantedPrograms.Description" var="DescriptionText"/>
<orion:message escape="None" key="Exclusion.OK" var="OKText"/>
<orion:message escape="None" key="Exclusion.Cancel" var="CancelText"/>
<orion:message escape="None" key="Exclusion.Add" var="AddText"/>
<orion:message escape="None" key="Exclusion.Edit" var="EditText"/>
<orion:message escape="None" key="Exclusion.Remove" var="RemoveText"/>
<orion:message escape="None" key="Exclusion.Clear" var="ClearText"/>
<orion:message key="UnwantedPrograms.MaximumCount" var="MaximumCountUWPText"/>

<style type="text/css">
    .dialogBox{
	background-color: white;
    position: absolute;
    top:300px;
    left:300px;
    z-index: 10000;
    visibility: hidden;
    }
</style>

<!--Dialog for adding/editing user defined items -->
<div class="dialogBox" id="divID_AddEditUWPDialog">
    <orion:titlebar id="titleID_AddEditExclDialogTitle" text="${DlgTitleDescriptionText}"/>
    <table>
        <tr>
            <td width="10"/>
            <td>
                <div id="divID_WhatToExcludeContent">
                    <label><b>${FilenameText}</b></label>
                    <table>
                        <tr>
                            <td width="10"></td>
                            <td>
                                <orion:textbox id="textboxID_userdefined_filename"
                                               maxlength="259"
                                               onkeyup="validateUWPItem();"/>
                                <span style='display: none;' class='orionInputErrorText' id='UWP_filename_error'>!!</span>
                                <span style='display: none;' class='orionInputErrorText' id='UWP_filename_empty'>*</span>
                            </td>
                        </tr>
                    </table>
                    <label><b>${DescriptionText}</b></label>
                    <table>
                        <tr>
                            <td width="10"></td>
                            <td>
                                <orion:textbox id="textboxID_userdefined_description"
                                               maxlength="64"
                                               onkeyup="validateUWPItem();"/>
                            </td>
                        </tr>
                    </table>
                </div>
            </td>
        </tr>
    </table>
    <orion:footerbar skin="gray">
        <orion:button id="buttonID_addEditUWPItemOK" text="${OKText}" enabled="true" onclick="onAddEditUWPOK();"/>
        <orion:button id="buttonID_addEditUWPItemCancel" text="${CancelText}" enabled="true" onclick="onAddEditExclCancel();"/>
    </orion:footerbar>
</div>

<!--Dialog for maxing out the user defined items -->
<div class="dialogBox" id="divID_MaximumCountUWPDialog">
    <orion:titlebar id="titleID_AddEditExclDialogTitle" text="${DlgTitleDescriptionText}"/>
    <table>
        <tr>
            <td width="10"/>
            <td>
                <label><b>${MaximumCountUWPText}</b></label>
            </td>
        </tr>
    </table>
    <orion:footerbar skin="gray">
        <orion:button id="buttonID_maximumCountUWPDialogOK" text="${OKText}" enabled="true" onclick="onMaximumCountUWPOk();"/>
    </orion:footerbar>
</div>

<!-- List Widget Templates -->
<div id="uwp_listitem_template" width="100%" style="display:none">
    <table width="100%">
        <tr width="100%">
            <td width="60%" id="uwp_userdefined_filename_@ID">
                <label id="labelID_userdefined_filename_@ID" style="display:none"></label>
            </td>
            <td width="40%" style="text-align:left" id="uwp_userdefined_description_@ID">
                <label id="labelID_userdefined_description_@ID" style="display:none"></label>
            </td>
        </tr>
    </table>
</div>

<table>
    <tr>
        <td>
            <orion:button id="buttonID_AddUWPItem"
                          text="${AddText}"
                          onclick="AddUWPItem_onclick();"
                          style="width:90px"/>
            <orion:button id="buttonID_EditUWPItem"
                          text="${EditText}"
                          onclick="EditUWPItem_onclick();"
                          style="width:90px"/>
            <orion:button id="buttonID_RemoveUWPItem"
                          text="${RemoveText}"
                          onclick="RemoveUWPItem_onclick();"
                          style="width:90px"/>
            <orion:button id="buttonID_ClearUWPItem"
                          text="${ClearText}"
                          onclick="ClearUWPItem_onclick();"
                          style="width:90px"/>
        </td>
    </tr>
</table>

