<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%--<%@ taglib uri="http://www.mcafee.com/mercury" prefix="mercury" %>--%>
<%@ taglib uri="http://www.mcafee.com/vse" prefix="vse" %>

<vse:createConstants className="com.mcafee.VirusScan.tasks.QuarantineRestore.QRTaskConstants" varName="Constants"/>
<vse:importConstants className="com.mcafee.VirusScan.tasks.QuarantineRestore.QRTaskConstants"/>
<vse:importConstants className="com.mcafee.VirusScan.core.Constants"/>
<vse:importConstants className="com.mcafee.VirusScan.help.HelpConstants"/>

<orion:script context="/VIRUSCAN8800" src="/tasks/QuarantineRestore/EditQRTask.js"/>
<orion:script context="/core" src="/majic.js"/>
<orion:script context="/VIRUSCAN8800" src="/VSECommon.js"/>
<orion:script context="/PolicyMgmt" src="/policycore.js"/>


<!--Tab Strings -->
<!-- ****************************************************************************** -->
<orion:message key="QRTask.RestoreTab" var="RestoreTabText"/>
<orion:message key="QRTask.TaskTab" var="TaskTabText"/>
<!-- ****************************************************************************** -->

<orion:message key="QRTask.RestoreInfo" var="RestoreInfoText"/>

<!--Task Tab Strings-->
<!-- ****************************************************************************** -->
<orion:message key="QRTask.AdminUser" var="AdminUserText"/>
<orion:message key="QRTask.AdminPassword" var="AdminPasswordText"/>
<orion:message key="QRTask.Domain" var="DomainText"/>
<!-- ****************************************************************************** -->


<orion:box height="24" id="swaptab"></orion:box>
<orion:box id="QR_TASK">
<div id="restore" style="display:none;width:100%;">
    <div class="orionDescriptionArea orionBorderBottomGrey">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                    ${RestoreInfoText}
                </td>
            </tr>
        </table>
    </div>
    <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
         <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="QRTask.RestoreLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <table>
                    <tr>
                        <td width="10"></td>
                        <td>
                            <orion:textbox id="textboxID_DetectionName"
                                           name="textboxID_DetectionName"
                                           size="60"
                                           maxlength="268"
                                           value="${QRTaskSettings.szDetectionName}"/>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</div>

<table cellspacing="0" cellpadding="0" width="100%" id="task" style="display:none;width:100%;">
    <tr>
        <td class="orionSummaryHeader" valign="top">
            <orion:message key="QRTask.NeedAdminRightsLabel" escape="html"/>
        </td>
        <td class="orionSummaryColumn" valign="top">
            <div id="div_AdminPassword" style="display:block">
                <table>
                    <tr>
                        <td>
                            <label for="textboxID_AdminUser">${AdminUserText}</label>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <orion:textbox id="textboxID_AdminUser"
                                           name="textboxID_AdminUser"
                                           value="${QRTaskSettings.VSE7_UserName}"/>
                        </td>
                    </tr>

                    <tr>
                        <td>
                            <label for="textboxID_AdminPassword">${AdminPasswordText}</label>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <input id="hiddenID_Password" name="hiddenID_Password" type="hidden" value="${QRTaskSettings.VSE7_Password}"/>
                            <input id="hiddenID_PasswordEx" name="hiddenID_PasswordEx" type="hidden" value="${QRTaskSettings.VSE7_PasswordEx}"/>
                            <orion:password id="textboxID_AdminPassword"
                                            name="textboxID_AdminPassword"
                                            onkeyup="passwordOnChange(this.value);"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label for="textboxID_Domain">${DomainText}</label>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <orion:textbox id="textboxID_Domain"
                                           name="textboxID_Domain"
                                           value="${QRTaskSettings.VSE7_DomainName}"/>
                        </td>
                    </tr>
                </table>
            </div>
        </td>
    </tr>
</table>
</orion:box>

<script type='text/javascript'>
    OrionCore.addLoadHandler(fnOnPageLoad);

    function fnOnPageLoad()
    {
        OrionForm.setStateChangeHandler(taskStateChangeHandler);
        _setTabStrip();
        _taskTabInit();
        _doReadonly()
    };

    function _setTabStrip()
    {
        swapper = new majic.SwapTabStrip("swaptab", {
            "restore":{
                title:"${RestoreTabText}",
                callback:function(){OrionHelp.setHelpId("${HELPID_QRESTORETASK_RESTORE}");}
            },
            "task":{
                title:"${TaskTabText}",
                callback:function(){OrionHelp.setHelpId("${HELPID_QRESTORETASK_TASK}");}
            }
        });
    };

    function _taskTabInit()
    {
        var password = document.getElementById("hiddenID_PasswordEx").value;

        if(password == "")
        {
            password = document.getElementById("hiddenID_Password").value;
        }

        var passwordTextbox = document.getElementById("textboxID_AdminPassword");

        if(password != "")
        {
            passwordTextbox.value = password;
        }
        else
        {
            passwordTextbox.value = "";
        }
    }

    function passwordOnChange(password)
    {
        var passwordInput = document.getElementById("hiddenID_Password");
        var passwordInputEx = document.getElementById("hiddenID_PasswordEx");

        if(password != "")
        {
            if(password != passwordInput)
            {
                passwordInput.value = password;
            }

            if(password != passwordInputEx)
            {
                passwordInputEx.value = password;
            }
        }
        else
        {
            passwordInput.value = "";
            passwordInputEx.value = "";
        }
    }

    function _doReadonly()
    {
        if ("${epoReadOnlyTask}" == "true")
        {
            disableSection("QR_TASK",false);
            //g_readOnly = true;
        }
    }
</script>

