<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%--<%@ taglib uri="http://www.mcafee.com/mercury" prefix="mercury" %>--%>
<%@ taglib uri="http://www.mcafee.com/vse" prefix="vse" %>

<vse:createConstants className="com.mcafee.VirusScan.policies.unwantedprograms.UnwantedProgramsConstants" varName="Constants"/>
<vse:importConstants className="com.mcafee.VirusScan.policies.unwantedprograms.UnwantedProgramsConstants"/>
<vse:importConstants className="com.mcafee.VirusScan.core.Constants"/>
<vse:importConstants className="com.mcafee.VirusScan.help.HelpConstants"/>

<orion:script context="/VIRUSCAN8800" src="/policies/unwantedprograms/EditUnwantedProgramsPolicy.js"/>
<orion:script context="/VIRUSCAN8800" src="/VSECommon.js"/>
<orion:script context="/VIRUSCAN8800" src="/ListWidget2.js"/>
<orion:script context="/core" src="/majic.js"/>

<!-- Strings from bundle file -->
<orion:message key="Global.Toggle.Label" var="ToggleLabelText"/>
<orion:message key="Global.Toggle.Workstation" var="ToggleWorkstationText"/>
<orion:message key="Global.Toggle.Server" var="ToggleServerText"/>

<!-- Tabs Strings -->
<orion:message key="UnwantedPrograms.DetectionTab" var="DetectionTabTabLabel"/>
<orion:message key="UnwantedPrograms.UserDefinedDetectionTab" var="UserDefinedDetectionTabLabel"/>

<!-- Detection Tab Strings -->
<orion:message escape="None" key="UnwantedPrograms.Spyware" var="SpywareText"/>
<orion:message escape="None" key="UnwantedPrograms.Adware" var="AdwareText"/>
<orion:message escape="None" key="UnwantedPrograms.RemoteAdmin" var="RemoteAdminText"/>
<orion:message escape="None" key="UnwantedPrograms.Dialers" var="DialersText"/>
<orion:message escape="None" key="UnwantedPrograms.PasswordCrackers" var="PasswordCrackersText"/>
<orion:message escape="None" key="UnwantedPrograms.Jokes" var="JokesText"/>
<orion:message escape="None" key="UnwantedPrograms.OtherPUPs" var="OtherPUPsText"/>
<orion:message escape="None" key="UnwantedPrograms.KeyLoggers" var="KeyLoggersText"/>
<orion:message key="UnwantedPrograms.ExclusionsInfo" var="ExclusionsInfoText"/>
<orion:message key="UnwantedPrograms.ExclusionName" var="ExclusionNameText"/>

<!-- User-Defined Detection Tab Strings -->
<orion:message key="UnwantedPrograms.UserDefinedDetections" var="UserDefinedDetectionsText"/>
<orion:message key="UnwantedPrograms.UserDefinedDetectionsInfo" var="UserDefinedDetectionsInfoText"/>
<orion:message key="UnwantedPrograms.Filename" var="FilenameText"/>
<orion:message key="UnwantedPrograms.Description" var="DescriptionText"/>

<!-- Workstation/Server Toggle -->
<orion:box height="40" id="divID_SelectionToggle">
    <div style="background-color:#EDEDED">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                    <label for="selectID_PolicyTypeToggle"><b>${ToggleLabelText}</b></label>
                    <select id="selectID_PolicyTypeToggle" onchange="onPolicyTypeToggle(this.value);">
                        <option value="0">${ToggleWorkstationText}</option>
                        <option value="1">${ToggleServerText}</option>
                    </select>
                </td>
            </tr>
        </table>
    </div>
</orion:box>
<!-- Workstation/Server Toggle -->

<orion:box height="24" id="swaptab"></orion:box>
<orion:box id="UNWANTED_PROGS">
<table cellspacing="0" cellpadding="0" width="100%" id="detection" style="display:none;width:100%;">
    <tr>
        <td class="orionSummaryHeader" valign="top">
            <orion:message key="UnwantedPrograms.DATTitle" escape="html"/>
        </td>
        <td class="orionSummaryColumn" valign="top">
            <div id="spanID_SpywareItemList" style="width:450px; height:200px; overflow:auto; border-style:inset; border-width:2px; background:white;">
                <table>
                    <tr>
                        <td>
                            <orion:checkbox id="checkboxID_DetectSpyware"
                                            text="${SpywareText}"
                                            onClick="validatePolicy();"/>
                            <input type="hidden" name="Wrkstn_${UP_DETECT_SPYWARE}" id="hiddenID_WrkstnDetectSpyware"/>
                            <input type="hidden" name="Server_${UP_DETECT_SPYWARE}" id="hiddenID_ServerDetectSpyware"/>
                        </td>
                    <tr>
                        <td>
                            <orion:checkbox id="checkboxID_DetectAdware"
                                            text="${AdwareText}"
                                            onClick="validatePolicy();"/>
                            <input type="hidden" name="Wrkstn_${UP_DETECT_ADWARE}" id="hiddenID_WrkstnDetectAdware"/>
                            <input type="hidden" name="Server_${UP_DETECT_ADWARE}" id="hiddenID_ServerDetectAdware"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <orion:checkbox id="checkboxID_DetectRemoteAdminTools"
                                            text="${RemoteAdminText}"
                                            onClick="validatePolicy();"/>
                            <input type="hidden" name="Wrkstn_${UP_DETECT_REMOTE_ADMIN_TOOLS}" id="hiddenID_WrkstnDetectRemoteAdminTools"/>
                            <input type="hidden" name="Server_${UP_DETECT_REMOTE_ADMIN_TOOLS}" id="hiddenID_ServerDetectRemoteAdminTools"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <orion:checkbox id="checkboxID_DetectDialers"
                                            text="${DialersText}"
                                            onClick="validatePolicy();"/>
                            <input type="hidden" name="Wrkstn_${UP_DETECT_DIALERS}" id="hiddenID_WrkstnDetectDialers"/>
                            <input type="hidden" name="Server_${UP_DETECT_DIALERS}" id="hiddenID_ServerDetectDialers"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <orion:checkbox id="checkboxID_DetectPasswordCrackers"
                                            text="${PasswordCrackersText}"
                                            onClick="validatePolicy();"/>
                            <input type="hidden" name="Wrkstn_${UP_DETECT_PASSWORD_CRACKERS}" id="hiddenID_WrkstnDetectPasswordCrackers"/>
                            <input type="hidden" name="Server_${UP_DETECT_PASSWORD_CRACKERS}" id="hiddenID_ServerDetectPasswordCrackers"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <orion:checkbox id="checkboxID_DetectJokes"
                                            text="${JokesText}"
                                            onClick="validatePolicy();"/>
                            <input type="hidden" name="Wrkstn_${UP_DETECT_JOKES}" id="hiddenID_WrkstnDetectJokes"/>
                            <input type="hidden" name="Server_${UP_DETECT_JOKES}" id="hiddenID_ServerDetectJokes"/>
                    <tr>
                        <td>
                            <orion:checkbox id="checkboxID_DetectKeyLoggers"
                                            text="${KeyLoggersText}"
                                            onClick="validatePolicy();"/>
                            <input type="hidden" name="Wrkstn_${UP_DETECT_KEY_LOGGERS}" id="hiddenID_WrkstnDetectKeyLoggers"/>
                            <input type="hidden" name="Server_${UP_DETECT_KEY_LOGGERS}" id="hiddenID_ServerDetectKeyLoggers"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <orion:checkbox id="checkboxID_DetectPUPs"
                                            text="${OtherPUPsText}"
                                            onClick="validatePolicy();"/>
                            <input type="hidden" name="Wrkstn_${UP_DETECT_PUPS}" id="hiddenID_WrkstnDetectPUPs"/>
                            <input type="hidden" name="Server_${UP_DETECT_PUPS}" id="hiddenID_ServerDetectPUPs"/>
                        </td>
                    </tr>
                </table>
            </div>
        </td>
    </tr>
    <tr>
        <td class="orionSummaryHeader" valign="top">
            <orion:message key="UnwantedPrograms.ExclusionsTitle" escape="html"/>
        </td>
        <td class="orionSummaryColumn" valign="top">
            <label>${ExclusionsInfoText}</label>
            <br/>
            <br/>
            <div id="wrkstn_upexclusionslist"></div>
            <div id="server_upexclusionslist"></div>
            <input type="hidden" id="hiddenID_WrkstnUnwantedProgramsExclusions" name="hiddenID_WrkstnUnwantedProgramsExclusions"/>
            <input type="hidden" id="hiddenID_ServerUnwantedProgramsExclusions" name="hiddenID_ServerUnwantedProgramsExclusions"/>
        </td>
    </tr>
</table>

<div id="userdefineddetection" style="display:none;width:100%;">
    <div class="orionDescriptionArea orionBorderBottomGrey">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                    ${UserDefinedDetectionsText}&nbsp;${UserDefinedDetectionsInfoText}
                </td>
            </tr>
        </table>
    </div>
    <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="UnwantedPrograms.UserDefinedTitle" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <input type="hidden" id="hiddenID_WrkstnUserDefinedDetections" name="hiddenID_WrkstnUserDefinedDetections"/>
                <input type="hidden" id="hiddenID_ServerUserDefinedDetections" name="hiddenID_ServerUserDefinedDetections"/>
                <table width="550">
                    <tr>
                        <td width="60%">
                            ${FilenameText}
                        </td>
                        <td width="40%">
                            ${DescriptionText}
                        </td>
                    </tr>
                </table>
                <div id="divID_UWPUserDefinedItemsList"></div>
                <jsp:include page="UserDefinedItems.jsp"/>
            </td>
        </tr>
    </table>
</div>
<!-- Unwanted Programs User-Defined Items Templates -->
<!-- Workstation Items -->
<div id='wrkstn_up_userdefined_div' style="display:none">
    <label for='wrkstn_userdefined_filename_@ID'>${FilenameText}</label>&nbsp;
    <input type='text' id='wrkstn_userdefined_filename_@ID' size='30'>
    <span style='display: none;' class='orionInputErrorText' id='wrkstn_userdefined_filename_@ID_error'>!!</span>
    <span style='display: none;' class='orionInputErrorText' id='wrkstn_userdefined_filename_@ID_empty'>*</span>
    <label for='wrkstn_userdefined_description_@ID'>&nbsp;&nbsp;${DescriptionText}</label>&nbsp;
    <input type='text' id='wrkstn_userdefined_description_@ID' size='30'>
    <span style='display: none;' class='orionInputErrorText' id='wrkstn_userdefined_description_@ID_error'>!!</span>
    <span style='display: none;' class='orionInputErrorText' id='wrkstn_userdefined_description_@ID_empty'>*</span>
</div>

<!-- Server Items -->
<div id='server_up_userdefined_div' style="display:none">
    <label for='server_userdefined_filename_@ID'>${FilenameText}</label>&nbsp;
    <input type='text' id='server_userdefined_filename_@ID' size='30'>
    <span style='display: none;' class='orionInputErrorText' id='server_userdefined_filename_@ID_error'>!!</span>
    <span style='display: none;' class='orionInputErrorText' id='server_userdefined_filename_@ID_empty'>*</span>
    <label for='server_userdefined_description_@ID'>&nbsp;&nbsp;${DescriptionText}</label>&nbsp;
    <input type='text' id='server_userdefined_description_@ID' size='30'>
    <span style='display: none;' class='orionInputErrorText' id='server_userdefined_description_@ID_error'>!!</span>
    <span style='display: none;' class='orionInputErrorText' id='server_userdefined_description_@ID_empty'>*</span>
</div>
</orion:box>

<script type="text/javascript">
    OrionCore.addLoadHandler(_setTabStrip);
    OrionCore.addLoadHandler(fnOnPageLoad);

    function fnOnPageLoad()
    {
        initializePolicyData();
        _detectionTabInit();
        _userDefinedDetectionsTabInit();
        displayPolicyData(g_CurrentPolicyType);
        g_FirstValidationCheck = false;
        OrionForm.setStateChangeHandler(stateChangeHandler);
        _doReadonly();
    };

    function _setTabStrip()
    {
        swapper = new majic.SwapTabStrip("swaptab", {
            "detection":{
                title:"${DetectionTabTabLabel}",
                callback:function(){OrionHelp.setHelpId("${HELPID_UNWANTED_SCAN_ITEMS}");}
            },
            "userdefineddetection":{
                title:"${UserDefinedDetectionTabLabel}",
                callback:function(){OrionHelp.setHelpId("${HELPID_UNWANTED_USER_DEFINED}");}
            }
        });
    }

    function initializePolicyData()
    {
        g_CurrentPolicyType = WRKSTN_POLICY;

            // DAT Detections Section
        bDetectAdware[WRKSTN_POLICY] = ${UnwantedProgramsSettings.wrkstn_DetectAdware};
        bDetectAdware[SERVER_POLICY] = ${UnwantedProgramsSettings.server_DetectAdware};
        bDetectDialers[WRKSTN_POLICY] = ${UnwantedProgramsSettings.wrkstn_DetectDialers};
        bDetectDialers[SERVER_POLICY] = ${UnwantedProgramsSettings.server_DetectDialers};
        bDetectJokes[WRKSTN_POLICY] = ${UnwantedProgramsSettings.wrkstn_DetectJokes};
        bDetectJokes[SERVER_POLICY] = ${UnwantedProgramsSettings.server_DetectJokes};
        bDetectKeyLoggers[WRKSTN_POLICY] = ${UnwantedProgramsSettings.wrkstn_DetectKeyLoggers};
        bDetectKeyLoggers[SERVER_POLICY] = ${UnwantedProgramsSettings.server_DetectKeyLoggers};
        bDetectPasswordCrackers[WRKSTN_POLICY] = ${UnwantedProgramsSettings.wrkstn_DetectPasswordCrackers};
        bDetectPasswordCrackers[SERVER_POLICY] = ${UnwantedProgramsSettings.server_DetectPasswordCrackers};
        bDetectPotentiallyUnwantedApps[WRKSTN_POLICY] = ${UnwantedProgramsSettings.wrkstn_DetectPotentiallyUnwantedApps};
        bDetectPotentiallyUnwantedApps[SERVER_POLICY] = ${UnwantedProgramsSettings.server_DetectPotentiallyUnwantedApps};
        bDetectRemoteAdminTools[WRKSTN_POLICY] = ${UnwantedProgramsSettings.wrkstn_DetectRemoteAdminTools};
        bDetectRemoteAdminTools[SERVER_POLICY] = ${UnwantedProgramsSettings.server_DetectRemoteAdminTools};
        bDetectSpyware[WRKSTN_POLICY] = ${UnwantedProgramsSettings.wrkstn_DetectSpyware};
        bDetectSpyware[SERVER_POLICY] = ${UnwantedProgramsSettings.server_DetectSpyware};

            // Detection Items sections
        dwDetectionItemCount[WRKSTN_POLICY] = ${UnwantedProgramsSettings.wrkstn_dwDetectionItemCount};
        dwDetectionItemCount[SERVER_POLICY] = ${UnwantedProgramsSettings.server_dwDetectionItemCount};

            // Spy Exclusions Section
        dwSpywareExclCount[WRKSTN_POLICY] = ${UnwantedProgramsSettings.wrkstn_dwSpywareExclCount};
        dwSpywareExclCount[SERVER_POLICY] = ${UnwantedProgramsSettings.server_dwSpywareExclCount};
        OrionForm.markInputExempt("checkboxID_DetectSpyware");
        OrionForm.markInputExempt("checkboxID_DetectSpyware");
        OrionForm.markInputExempt("checkboxID_DetectAdware");
        OrionForm.markInputExempt("checkboxID_DetectRemoteAdminTools");
        OrionForm.markInputExempt("checkboxID_DetectDialers");
        OrionForm.markInputExempt("checkboxID_DetectPasswordCrackers");
        OrionForm.markInputExempt("checkboxID_DetectJokes");
        OrionForm.markInputExempt("checkboxID_DetectKeyLoggers");
        OrionForm.markInputExempt("checkboxID_DetectPUPs");
        
    }
    function _detectionTabInit()
    {
        Wrkstn_exclusionsAddWidgetInit();
        Server_exclusionsAddWidgetInit();
        Wrkstn_AddUnwantedProgsExclusions();
        Server_AddUnwantedProgsExclusions();
    }

    function Wrkstn_exclusionsAddWidgetInit()
    {
        g_WrkstnUPExclusionsAddWidget = new VSE.AddWidget({
            container:"wrkstn_upexclusionslist",
            addCallback:Wrkstn_UPExclAddCallback,
            removeCallback:UPExclRemoveCallback,
            readOnly:false,
            content:"<label for='wrkstn_up_exclusion_@ID'>${ExclusionNameText}</label>" +
                    "&nbsp;<input type='text' id='wrkstn_up_exclusion_@ID' size='40' value='@VALUE''>"
        });
    }

    function Server_exclusionsAddWidgetInit()
    {
        g_ServerUPExclusionsAddWidget = new VSE.AddWidget({
            container:"server_upexclusionslist",
            addCallback:Server_UPExclAddCallback,
            removeCallback:UPExclRemoveCallback,
            readOnly:false,
            content:"<label for='server_up_exclusion_@ID'>${ExclusionNameText}</label>" +
                    "&nbsp;<input type='text' id='server_up_exclusion_@ID' size='40' value='@VALUE''>"
        });
    }

    function Wrkstn_AddUnwantedProgsExclusions()
    {
        var UPExclusions = "${orion:escapeJavaScriptString(UnwantedProgramsSettings.wrkstn_szSpywareExclusions)}".split(Constants.LIST_TOKEN_SPLITTER);
        if(UPExclusions.length > 0)
        {
            for(var i=0; i < UPExclusions.length; ++i)
            {
                g_WrkstnUPExclusionsAddWidget.add({"@VALUE":UPExclusions[i]});
            }
        }
        else
        {
            g_WrkstnUPExclusionsAddWidget.add({"@VALUE":""});
        }
    }

    function Server_AddUnwantedProgsExclusions()
    {
        var UPExclusions = "${orion:escapeJavaScriptString(UnwantedProgramsSettings.server_szSpywareExclusions)}".split(Constants.LIST_TOKEN_SPLITTER);
        if(UPExclusions.length > 0)
        {
            for(var i=0; i < UPExclusions.length; ++i)
            {
                g_ServerUPExclusionsAddWidget.add({"@VALUE":UPExclusions[i]});
            }
        }
        else
        {
            g_ServerUPExclusionsAddWidget.add({"@VALUE":""});
        }
    }

    function _userDefinedDetectionsTabInit()
    {
        addeditUWPDialog = new VSE.DialogBox;
        addeditUWPDialog.setDialogDiv($("divID_AddEditUWPDialog"));
        maximumCountUWPDialog = new VSE.DialogBox;
        maximumCountUWPDialog.setDialogDiv($("divID_MaximumCountUWPDialog"));
        
        g_arrListUWPData[WRKSTN_POLICY] = new Array();
        g_arrListUWPData[SERVER_POLICY] = new Array();

        // Populate Workstation Exclusion Data
        var wrkstnUserDefinedDetectionsList = "${orion:escapeJavaScriptString(UnwantedProgramsSettings.wrkstn_szDetectionItems)}".split(Constants.LIST_TOKEN_SPLITTER);
        for(i = 0; i < wrkstnUserDefinedDetectionsList.length; ++i)
        {
            var uwpDataItem = new UWPDataItem();
            uwpDataItem.uwpData = wrkstnUserDefinedDetectionsList[i];
            g_arrListUWPData[WRKSTN_POLICY][i] = uwpDataItem;
        }

        // Populate Server Exclusion Data
        var serverUserDefinedDetectionsList = "${orion:escapeJavaScriptString(UnwantedProgramsSettings.server_szDetectionItems)}".split(Constants.LIST_TOKEN_SPLITTER);
        for(i = 0; i < serverUserDefinedDetectionsList.length; ++i)
        {
            var uwpDataItem = new UWPDataItem();
            uwpDataItem.uwpData = serverUserDefinedDetectionsList[i];
            g_arrListUWPData[SERVER_POLICY][i] = uwpDataItem;
        }

        UserDefinedDetections_ListWidgetInit();
        populateUserDefinedDetectionsList();
    }

    function UserDefinedDetections_ListWidgetInit()
    {
        g_UserDefinedItemsListWidget = new VSE.ListWidget2({
            container:"divID_UWPUserDefinedItemsList",
            readonly:"false",
            includeCheckbox:"false",
            objectName:"g_UserDefinedItemsListWidget",
            width:"550",
            height:"200",
            thisObject:g_UserDefinedItemsListWidget,
            addCallback:UserDefinedItem_AddCallback,
            selectedRowUpdateCallback:userDefinedItemUpdateRowDataCallback,
            removeCallback:userDefinedItemRemoveCallback,
            content:$("uwp_listitem_template").innerHTML
        });
    }

    function populateUserDefinedDetectionsList()
    {
        g_UserDefinedItemsListWidget.clearList();

        if(g_arrListUWPData[g_CurrentPolicyType].length > 0)
        {
            for(var i = 0; i < g_arrListUWPData[g_CurrentPolicyType].length; ++i)
            {
                if(g_arrListUWPData[g_CurrentPolicyType][i].uwpData != "")
                {
                    var item = new VSE.ListItem2();
                    item.itemData = g_arrListUWPData[g_CurrentPolicyType][i];
                    g_UserDefinedItemsListWidget.add(item);
                }
            }
        }
    }

    function validatePolicy()
    {
        var valid = true;

        valid = OrionForm.isFormValid();

       stateChangeHandler(true, valid);
    }

    function _doReadonly()
    {
        if ("${epoReadOnlyPolicyObject}" == "true")
        {
            disableSection("UNWANTED_PROGS",false);
            epoDisableApplyButton();
        }
    }

</script>
